Export User Variable Values

Use this REST API to export user variable values from Planning business process, including context-sensitive user variables. You can optionally filter the exported data by "username", "variable", or "member".

The output is a CSV file that is added to the Outbox. You can download the file using Inbox/Outbox Explorer or tools like EPM Automate or REST APIs, for example, with the Download API.

Using this REST resource requires prerequisites, such as understanding how to use jobs. See Prerequisites. Be sure that you understand how to use jobs as described in Managing Jobs.

Required Roles

Service Administrator

REST Resource

POST     /HyperionPlanning/rest/{api_version}/applications/{application}/jobs

Request

Supported Media Types: application/json

Parameters

The following table summarizes the client request parameters specific to this job. For additional parameters that are common to all jobs, see Execute a Job.

Table 8-18 Parameters

Name Description Required Default
jobType Export User Variable Values or EXPORT_USER_VARIABLE_VALUES (both parameters are supported) Yes None
jobName The name of the job to be used. This job name appears on the job console.

Example: ExportUVValJob

No Auto generated
fileName The name of the output CSV file. If this is not specified, a CSV file is auto generated with a name containing the username, current date, and time stamp. For example, test_userUVValuesImportErrorLog2025-07-14-12-08-45-441.csv

Before using this REST API, you can use the Upload REST API to upload the file.

You can download it using the Download API . This API overrides any existing CSV file with the same name.

No Auto generated
userName This is an optional filter used for filtering the result set based on the username. No No
member This is an optional filter used for filtering the result set based on the member. No No
variable This is an optional filter used for filtering the result set based on the variable No No

For a sample URL, see Sample URL and Payload in Execute a Job.

Sample Payload

Example 1: Exports all the user variable values to an auto generated CSV file as the "fileName" parameter is missing.

{ 
   "jobType": "EXPORT_USER_VARIABLE_VALUES", 
   "jobName": "Export User Variable Values", 
   "parameters": { 
        } 
} 

Example 2: Exports user variable values to the UserVarVal.csv file after applying the "userName", "member" and "variable" filter.

{ 
   "jobType": "EXPORT_USER_VARIABLE_VALUES", 
   "jobName": "Export User Variable Values", 
   "parameters": {
         "fileName": "UserVarVal.csv", 
  	"userName": ["testuser1", "testuser1"], 
  	"member": "Jan", 
  	"variable": "uservar1", 
} 
}